﻿using BlockMania.Global;
using BlockMania.Util.PrecisionTiming;

namespace BlockMania.Util
{
	internal static class GameLoopTimer
	{
		private static readonly PrecisionTimer timer = new PrecisionTimer();

		private const int RESOLUTION = 30;
		private const int INTERVAL   = 30;

		internal static void Start()
		{
			timer.SetResolution(RESOLUTION);
			timer.SetInterval(GlobalController.HandleGameTick, INTERVAL);
			timer.Start();
		}

		internal static void Stop()
		{
			timer.Stop();
		}

	}
}