﻿using System;

namespace BlockMania.Util.PrecisionTiming.Exception
{
	/// <summary>
	/// Occurs when there is an attempt to modify a <see cref="PrecisionTimer"/> without using SetInterval first
	/// </summary>
	[Serializable]
	public class TimerNotConfigured : System.Exception
	{
		/// <summary>
		/// Occurs when there is an attempt to modify a <see cref="PrecisionTimer"/> without using SetInterval first
		/// </summary>
		/// <param name="message">User friendly error message</param>
		public TimerNotConfigured(string message)
			: base(message)
		{
			Console.WriteLine(message);
		}
	}
}