﻿namespace BlockMania.Util.BlockTools
{
	internal static class CopyTool
	{
		internal static void Copy(Block blockFrom, Block blockTo)
		{
			blockTo.number    = blockFrom.number;
			blockTo.colorCode = blockFrom.colorCode;

			blockTo.offset.row = blockFrom.offset.row;
			blockTo.offset.col = blockFrom.offset.col;

			blockTo.matrix = Tools.Copy_2d_List(blockFrom.matrix);

			blockTo.tiles.Clear();
			foreach (Tile tile in blockFrom.tiles)
			{
				blockTo.tiles.Add(tile);
			}
		}

	}
}