﻿namespace BlockMania.Util.BlockTools
{
	internal static class TileTool
	{
		// Call this method after the block-matrix and/or block-offset has been changed.

		internal static void RefreshTiles(Block block)
		{
			block.tiles.Clear();
			int blockSize = block.matrix[0].Count;

			for (int row = 0; row < blockSize; row++)
			{
				for (int col = 0; col < blockSize; col++)
				{
					if (block.matrix[row][col] == 1)
					{
						Tile tile = new Tile(row + block.offset.row, col + block.offset.col);
						block.tiles.Add(tile);
					}
				}
			}
		}

	}
}