﻿using System.Runtime.InteropServices;

namespace BlockMania.Util.PrecisionTiming.Base
{
	/// <summary>
	/// The Min/Max supported period for the Mutlimedia Timer in milliseconds
	/// </summary>
	[StructLayout(LayoutKind.Sequential)]
	public struct TimerCapabilities
	{
		/// <summary>Minimum supported period in milliseconds.</summary>
		public int PeriodMinimum;

		/// <summary>Maximum supported period in milliseconds.</summary>
		public int PeriodMaximum;
	}
}